{% extends 'base_admin.html' %}

{% load i18n %}
{% load static %}

{% block content %}
<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800"><a href="https://datatables.net">{% trans "Hotel Reservations" %}</a></h1>

  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{% trans "Reservations For" %} {{ hotel.name }}</h6>
    </div>

    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-bordered" width="100%" cellspacing="0">
        <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
          <thead>
            <tr>
              <th>{% trans "Room Type" %}</th>
              <th>{% trans "Guest Name" %}</th>
              <th>{% trans "Check-in Date" %}</th>
              <th>{% trans "Check-out Date" %}</th>
              <th>{% trans "Total Price" %}</th>
              <th>{% trans "Cancel" %}</th>
            </tr>
          </thead>
          <!-- <tfoot>
            <tr>
              <th>Room Type</th>
              <th>Guest Name</th>
              <th>Check-in Date</th>
              <th>Check-out Date</th>
              <th>Total Price</th>
              <th>Cancel</th>
            </tr>
          </tfoot> -->
          <tbody>
            {% for reservation in reservations%}
            <tr>
              <td>{{ reservation.room.RoomType }}</td>
              <td>{{ reservation.guestFirstName }} {{ reservation.guestLastName }}.</td>
              <td>{{ reservation.CheckIn }}.</td>
              <td>{{ reservation.CheckOut }}.</td>
              <td>$ {{ reservation.totalPrice }}.</td>
              <td><a class="btn btn-danger" href="{% url 'hotel_admin:booking_remove' reservation.id %}">{% trans "Cancel" %}</a></td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>

  </div>
  <a class="btn btn-secondary pull-right" href="{% url 'hotel_admin:hotel_view' %}">{% trans "Back" %}</a>
</div>

{% endblock %}

{% block custom_css %}
<!-- Custom styles for this page -->
<link href="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
{% endblock %}

{% block custom_js %}
<!-- Page level plugins -->
<script src="{% static 'admin/vendor/datatables/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.js' %}"></script>
<!-- Page level custom scripts -->
<script src="{% static 'admin/js/demo/datatables-demo.js' %}"></script>
{% endblock %}